IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/68
Addresses2^60
/64 networksPart of one
- Network
2001:db8:0:c:b000::/68- First address
2001:db8:0:c:b000::- Last address
2001:db8:0:c:bfff:ffff:ffff:ffff- Addresses
- 1,152,921,504,606,846,976 (2^60)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:000c:b000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
b.c.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:c:b000::/68 makes 256 subnets of /76.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:c:b000::/76 | 2001:db8:0:c:b00f:ffff:ffff:ffff |
| 2 | 2001:db8:0:c:b010::/76 | 2001:db8:0:c:b01f:ffff:ffff:ffff |
| 3 | 2001:db8:0:c:b020::/76 | 2001:db8:0:c:b02f:ffff:ffff:ffff |
| 4 | 2001:db8:0:c:b030::/76 | 2001:db8:0:c:b03f:ffff:ffff:ffff |
| 5 | 2001:db8:0:c:b040::/76 | 2001:db8:0:c:b04f:ffff:ffff:ffff |
| 6 | 2001:db8:0:c:b050::/76 | 2001:db8:0:c:b05f:ffff:ffff:ffff |
| 7 | 2001:db8:0:c:b060::/76 | 2001:db8:0:c:b06f:ffff:ffff:ffff |
| 8 | 2001:db8:0:c:b070::/76 | 2001:db8:0:c:b07f:ffff:ffff:ffff |
| 9 | 2001:db8:0:c:b080::/76 | 2001:db8:0:c:b08f:ffff:ffff:ffff |
| 10 | 2001:db8:0:c:b090::/76 | 2001:db8:0:c:b09f:ffff:ffff:ffff |
| 11 | 2001:db8:0:c:b0a0::/76 | 2001:db8:0:c:b0af:ffff:ffff:ffff |
| 12 | 2001:db8:0:c:b0b0::/76 | 2001:db8:0:c:b0bf:ffff:ffff:ffff |
| 13 | 2001:db8:0:c:b0c0::/76 | 2001:db8:0:c:b0cf:ffff:ffff:ffff |
| 14 | 2001:db8:0:c:b0d0::/76 | 2001:db8:0:c:b0df:ffff:ffff:ffff |
| 15 | 2001:db8:0:c:b0e0::/76 | 2001:db8:0:c:b0ef:ffff:ffff:ffff |
| 16 | 2001:db8:0:c:b0f0::/76 | 2001:db8:0:c:b0ff:ffff:ffff:ffff |
| 17 | 2001:db8:0:c:b100::/76 | 2001:db8:0:c:b10f:ffff:ffff:ffff |
| 18 | 2001:db8:0:c:b110::/76 | 2001:db8:0:c:b11f:ffff:ffff:ffff |
| 19 | 2001:db8:0:c:b120::/76 | 2001:db8:0:c:b12f:ffff:ffff:ffff |
| 20 | 2001:db8:0:c:b130::/76 | 2001:db8:0:c:b13f:ffff:ffff:ffff |
| 21 | 2001:db8:0:c:b140::/76 | 2001:db8:0:c:b14f:ffff:ffff:ffff |
| 22 | 2001:db8:0:c:b150::/76 | 2001:db8:0:c:b15f:ffff:ffff:ffff |
| 23 | 2001:db8:0:c:b160::/76 | 2001:db8:0:c:b16f:ffff:ffff:ffff |
| 24 | 2001:db8:0:c:b170::/76 | 2001:db8:0:c:b17f:ffff:ffff:ffff |
| 25 | 2001:db8:0:c:b180::/76 | 2001:db8:0:c:b18f:ffff:ffff:ffff |
| 26 | 2001:db8:0:c:b190::/76 | 2001:db8:0:c:b19f:ffff:ffff:ffff |
| 27 | 2001:db8:0:c:b1a0::/76 | 2001:db8:0:c:b1af:ffff:ffff:ffff |
| 28 | 2001:db8:0:c:b1b0::/76 | 2001:db8:0:c:b1bf:ffff:ffff:ffff |
| 29 | 2001:db8:0:c:b1c0::/76 | 2001:db8:0:c:b1cf:ffff:ffff:ffff |
| 30 | 2001:db8:0:c:b1d0::/76 | 2001:db8:0:c:b1df:ffff:ffff:ffff |
| 31 | 2001:db8:0:c:b1e0::/76 | 2001:db8:0:c:b1ef:ffff:ffff:ffff |
| 32 | 2001:db8:0:c:b1f0::/76 | 2001:db8:0:c:b1ff:ffff:ffff:ffff |
| 33 | 2001:db8:0:c:b200::/76 | 2001:db8:0:c:b20f:ffff:ffff:ffff |
| 34 | 2001:db8:0:c:b210::/76 | 2001:db8:0:c:b21f:ffff:ffff:ffff |
| 35 | 2001:db8:0:c:b220::/76 | 2001:db8:0:c:b22f:ffff:ffff:ffff |
| 36 | 2001:db8:0:c:b230::/76 | 2001:db8:0:c:b23f:ffff:ffff:ffff |
| 37 | 2001:db8:0:c:b240::/76 | 2001:db8:0:c:b24f:ffff:ffff:ffff |
| 38 | 2001:db8:0:c:b250::/76 | 2001:db8:0:c:b25f:ffff:ffff:ffff |
| 39 | 2001:db8:0:c:b260::/76 | 2001:db8:0:c:b26f:ffff:ffff:ffff |
| 40 | 2001:db8:0:c:b270::/76 | 2001:db8:0:c:b27f:ffff:ffff:ffff |
| 41 | 2001:db8:0:c:b280::/76 | 2001:db8:0:c:b28f:ffff:ffff:ffff |
| 42 | 2001:db8:0:c:b290::/76 | 2001:db8:0:c:b29f:ffff:ffff:ffff |
| 43 | 2001:db8:0:c:b2a0::/76 | 2001:db8:0:c:b2af:ffff:ffff:ffff |
| 44 | 2001:db8:0:c:b2b0::/76 | 2001:db8:0:c:b2bf:ffff:ffff:ffff |
| 45 | 2001:db8:0:c:b2c0::/76 | 2001:db8:0:c:b2cf:ffff:ffff:ffff |
| 46 | 2001:db8:0:c:b2d0::/76 | 2001:db8:0:c:b2df:ffff:ffff:ffff |
| 47 | 2001:db8:0:c:b2e0::/76 | 2001:db8:0:c:b2ef:ffff:ffff:ffff |
| 48 | 2001:db8:0:c:b2f0::/76 | 2001:db8:0:c:b2ff:ffff:ffff:ffff |
| 49 | 2001:db8:0:c:b300::/76 | 2001:db8:0:c:b30f:ffff:ffff:ffff |
| 50 | 2001:db8:0:c:b310::/76 | 2001:db8:0:c:b31f:ffff:ffff:ffff |
| 51 | 2001:db8:0:c:b320::/76 | 2001:db8:0:c:b32f:ffff:ffff:ffff |
| 52 | 2001:db8:0:c:b330::/76 | 2001:db8:0:c:b33f:ffff:ffff:ffff |
| 53 | 2001:db8:0:c:b340::/76 | 2001:db8:0:c:b34f:ffff:ffff:ffff |
| 54 | 2001:db8:0:c:b350::/76 | 2001:db8:0:c:b35f:ffff:ffff:ffff |
| 55 | 2001:db8:0:c:b360::/76 | 2001:db8:0:c:b36f:ffff:ffff:ffff |
| 56 | 2001:db8:0:c:b370::/76 | 2001:db8:0:c:b37f:ffff:ffff:ffff |
| 57 | 2001:db8:0:c:b380::/76 | 2001:db8:0:c:b38f:ffff:ffff:ffff |
| 58 | 2001:db8:0:c:b390::/76 | 2001:db8:0:c:b39f:ffff:ffff:ffff |
| 59 | 2001:db8:0:c:b3a0::/76 | 2001:db8:0:c:b3af:ffff:ffff:ffff |
| 60 | 2001:db8:0:c:b3b0::/76 | 2001:db8:0:c:b3bf:ffff:ffff:ffff |
| 61 | 2001:db8:0:c:b3c0::/76 | 2001:db8:0:c:b3cf:ffff:ffff:ffff |
| 62 | 2001:db8:0:c:b3d0::/76 | 2001:db8:0:c:b3df:ffff:ffff:ffff |
| 63 | 2001:db8:0:c:b3e0::/76 | 2001:db8:0:c:b3ef:ffff:ffff:ffff |
| 64 | 2001:db8:0:c:b3f0::/76 | 2001:db8:0:c:b3ff:ffff:ffff:ffff |
| 65 | 2001:db8:0:c:b400::/76 | 2001:db8:0:c:b40f:ffff:ffff:ffff |
| 66 | 2001:db8:0:c:b410::/76 | 2001:db8:0:c:b41f:ffff:ffff:ffff |
| 67 | 2001:db8:0:c:b420::/76 | 2001:db8:0:c:b42f:ffff:ffff:ffff |
| 68 | 2001:db8:0:c:b430::/76 | 2001:db8:0:c:b43f:ffff:ffff:ffff |
| 69 | 2001:db8:0:c:b440::/76 | 2001:db8:0:c:b44f:ffff:ffff:ffff |
| 70 | 2001:db8:0:c:b450::/76 | 2001:db8:0:c:b45f:ffff:ffff:ffff |
| 71 | 2001:db8:0:c:b460::/76 | 2001:db8:0:c:b46f:ffff:ffff:ffff |
| 72 | 2001:db8:0:c:b470::/76 | 2001:db8:0:c:b47f:ffff:ffff:ffff |
| 73 | 2001:db8:0:c:b480::/76 | 2001:db8:0:c:b48f:ffff:ffff:ffff |
| 74 | 2001:db8:0:c:b490::/76 | 2001:db8:0:c:b49f:ffff:ffff:ffff |
| 75 | 2001:db8:0:c:b4a0::/76 | 2001:db8:0:c:b4af:ffff:ffff:ffff |
| 76 | 2001:db8:0:c:b4b0::/76 | 2001:db8:0:c:b4bf:ffff:ffff:ffff |
| 77 | 2001:db8:0:c:b4c0::/76 | 2001:db8:0:c:b4cf:ffff:ffff:ffff |
| 78 | 2001:db8:0:c:b4d0::/76 | 2001:db8:0:c:b4df:ffff:ffff:ffff |
| 79 | 2001:db8:0:c:b4e0::/76 | 2001:db8:0:c:b4ef:ffff:ffff:ffff |
| 80 | 2001:db8:0:c:b4f0::/76 | 2001:db8:0:c:b4ff:ffff:ffff:ffff |
| 81 | 2001:db8:0:c:b500::/76 | 2001:db8:0:c:b50f:ffff:ffff:ffff |
| 82 | 2001:db8:0:c:b510::/76 | 2001:db8:0:c:b51f:ffff:ffff:ffff |
| 83 | 2001:db8:0:c:b520::/76 | 2001:db8:0:c:b52f:ffff:ffff:ffff |
| 84 | 2001:db8:0:c:b530::/76 | 2001:db8:0:c:b53f:ffff:ffff:ffff |
| 85 | 2001:db8:0:c:b540::/76 | 2001:db8:0:c:b54f:ffff:ffff:ffff |
| 86 | 2001:db8:0:c:b550::/76 | 2001:db8:0:c:b55f:ffff:ffff:ffff |
| 87 | 2001:db8:0:c:b560::/76 | 2001:db8:0:c:b56f:ffff:ffff:ffff |
| 88 | 2001:db8:0:c:b570::/76 | 2001:db8:0:c:b57f:ffff:ffff:ffff |
| 89 | 2001:db8:0:c:b580::/76 | 2001:db8:0:c:b58f:ffff:ffff:ffff |
| 90 | 2001:db8:0:c:b590::/76 | 2001:db8:0:c:b59f:ffff:ffff:ffff |
| 91 | 2001:db8:0:c:b5a0::/76 | 2001:db8:0:c:b5af:ffff:ffff:ffff |
| 92 | 2001:db8:0:c:b5b0::/76 | 2001:db8:0:c:b5bf:ffff:ffff:ffff |
| 93 | 2001:db8:0:c:b5c0::/76 | 2001:db8:0:c:b5cf:ffff:ffff:ffff |
| 94 | 2001:db8:0:c:b5d0::/76 | 2001:db8:0:c:b5df:ffff:ffff:ffff |
| 95 | 2001:db8:0:c:b5e0::/76 | 2001:db8:0:c:b5ef:ffff:ffff:ffff |
| 96 | 2001:db8:0:c:b5f0::/76 | 2001:db8:0:c:b5ff:ffff:ffff:ffff |
| 97 | 2001:db8:0:c:b600::/76 | 2001:db8:0:c:b60f:ffff:ffff:ffff |
| 98 | 2001:db8:0:c:b610::/76 | 2001:db8:0:c:b61f:ffff:ffff:ffff |
| 99 | 2001:db8:0:c:b620::/76 | 2001:db8:0:c:b62f:ffff:ffff:ffff |
| 100 | 2001:db8:0:c:b630::/76 | 2001:db8:0:c:b63f:ffff:ffff:ffff |
| 101 | 2001:db8:0:c:b640::/76 | 2001:db8:0:c:b64f:ffff:ffff:ffff |
| 102 | 2001:db8:0:c:b650::/76 | 2001:db8:0:c:b65f:ffff:ffff:ffff |
| 103 | 2001:db8:0:c:b660::/76 | 2001:db8:0:c:b66f:ffff:ffff:ffff |
| 104 | 2001:db8:0:c:b670::/76 | 2001:db8:0:c:b67f:ffff:ffff:ffff |
| 105 | 2001:db8:0:c:b680::/76 | 2001:db8:0:c:b68f:ffff:ffff:ffff |
| 106 | 2001:db8:0:c:b690::/76 | 2001:db8:0:c:b69f:ffff:ffff:ffff |
| 107 | 2001:db8:0:c:b6a0::/76 | 2001:db8:0:c:b6af:ffff:ffff:ffff |
| 108 | 2001:db8:0:c:b6b0::/76 | 2001:db8:0:c:b6bf:ffff:ffff:ffff |
| 109 | 2001:db8:0:c:b6c0::/76 | 2001:db8:0:c:b6cf:ffff:ffff:ffff |
| 110 | 2001:db8:0:c:b6d0::/76 | 2001:db8:0:c:b6df:ffff:ffff:ffff |
| 111 | 2001:db8:0:c:b6e0::/76 | 2001:db8:0:c:b6ef:ffff:ffff:ffff |
| 112 | 2001:db8:0:c:b6f0::/76 | 2001:db8:0:c:b6ff:ffff:ffff:ffff |
| 113 | 2001:db8:0:c:b700::/76 | 2001:db8:0:c:b70f:ffff:ffff:ffff |
| 114 | 2001:db8:0:c:b710::/76 | 2001:db8:0:c:b71f:ffff:ffff:ffff |
| 115 | 2001:db8:0:c:b720::/76 | 2001:db8:0:c:b72f:ffff:ffff:ffff |
| 116 | 2001:db8:0:c:b730::/76 | 2001:db8:0:c:b73f:ffff:ffff:ffff |
| 117 | 2001:db8:0:c:b740::/76 | 2001:db8:0:c:b74f:ffff:ffff:ffff |
| 118 | 2001:db8:0:c:b750::/76 | 2001:db8:0:c:b75f:ffff:ffff:ffff |
| 119 | 2001:db8:0:c:b760::/76 | 2001:db8:0:c:b76f:ffff:ffff:ffff |
| 120 | 2001:db8:0:c:b770::/76 | 2001:db8:0:c:b77f:ffff:ffff:ffff |
| 121 | 2001:db8:0:c:b780::/76 | 2001:db8:0:c:b78f:ffff:ffff:ffff |
| 122 | 2001:db8:0:c:b790::/76 | 2001:db8:0:c:b79f:ffff:ffff:ffff |
| 123 | 2001:db8:0:c:b7a0::/76 | 2001:db8:0:c:b7af:ffff:ffff:ffff |
| 124 | 2001:db8:0:c:b7b0::/76 | 2001:db8:0:c:b7bf:ffff:ffff:ffff |
| 125 | 2001:db8:0:c:b7c0::/76 | 2001:db8:0:c:b7cf:ffff:ffff:ffff |
| 126 | 2001:db8:0:c:b7d0::/76 | 2001:db8:0:c:b7df:ffff:ffff:ffff |
| 127 | 2001:db8:0:c:b7e0::/76 | 2001:db8:0:c:b7ef:ffff:ffff:ffff |
| 128 | 2001:db8:0:c:b7f0::/76 | 2001:db8:0:c:b7ff:ffff:ffff:ffff |
| 129 | 2001:db8:0:c:b800::/76 | 2001:db8:0:c:b80f:ffff:ffff:ffff |
| 130 | 2001:db8:0:c:b810::/76 | 2001:db8:0:c:b81f:ffff:ffff:ffff |
| 131 | 2001:db8:0:c:b820::/76 | 2001:db8:0:c:b82f:ffff:ffff:ffff |
| 132 | 2001:db8:0:c:b830::/76 | 2001:db8:0:c:b83f:ffff:ffff:ffff |
| 133 | 2001:db8:0:c:b840::/76 | 2001:db8:0:c:b84f:ffff:ffff:ffff |
| 134 | 2001:db8:0:c:b850::/76 | 2001:db8:0:c:b85f:ffff:ffff:ffff |
| 135 | 2001:db8:0:c:b860::/76 | 2001:db8:0:c:b86f:ffff:ffff:ffff |
| 136 | 2001:db8:0:c:b870::/76 | 2001:db8:0:c:b87f:ffff:ffff:ffff |
| 137 | 2001:db8:0:c:b880::/76 | 2001:db8:0:c:b88f:ffff:ffff:ffff |
| 138 | 2001:db8:0:c:b890::/76 | 2001:db8:0:c:b89f:ffff:ffff:ffff |
| 139 | 2001:db8:0:c:b8a0::/76 | 2001:db8:0:c:b8af:ffff:ffff:ffff |
| 140 | 2001:db8:0:c:b8b0::/76 | 2001:db8:0:c:b8bf:ffff:ffff:ffff |
| 141 | 2001:db8:0:c:b8c0::/76 | 2001:db8:0:c:b8cf:ffff:ffff:ffff |
| 142 | 2001:db8:0:c:b8d0::/76 | 2001:db8:0:c:b8df:ffff:ffff:ffff |
| 143 | 2001:db8:0:c:b8e0::/76 | 2001:db8:0:c:b8ef:ffff:ffff:ffff |
| 144 | 2001:db8:0:c:b8f0::/76 | 2001:db8:0:c:b8ff:ffff:ffff:ffff |
| 145 | 2001:db8:0:c:b900::/76 | 2001:db8:0:c:b90f:ffff:ffff:ffff |
| 146 | 2001:db8:0:c:b910::/76 | 2001:db8:0:c:b91f:ffff:ffff:ffff |
| 147 | 2001:db8:0:c:b920::/76 | 2001:db8:0:c:b92f:ffff:ffff:ffff |
| 148 | 2001:db8:0:c:b930::/76 | 2001:db8:0:c:b93f:ffff:ffff:ffff |
| 149 | 2001:db8:0:c:b940::/76 | 2001:db8:0:c:b94f:ffff:ffff:ffff |
| 150 | 2001:db8:0:c:b950::/76 | 2001:db8:0:c:b95f:ffff:ffff:ffff |
| 151 | 2001:db8:0:c:b960::/76 | 2001:db8:0:c:b96f:ffff:ffff:ffff |
| 152 | 2001:db8:0:c:b970::/76 | 2001:db8:0:c:b97f:ffff:ffff:ffff |
| 153 | 2001:db8:0:c:b980::/76 | 2001:db8:0:c:b98f:ffff:ffff:ffff |
| 154 | 2001:db8:0:c:b990::/76 | 2001:db8:0:c:b99f:ffff:ffff:ffff |
| 155 | 2001:db8:0:c:b9a0::/76 | 2001:db8:0:c:b9af:ffff:ffff:ffff |
| 156 | 2001:db8:0:c:b9b0::/76 | 2001:db8:0:c:b9bf:ffff:ffff:ffff |
| 157 | 2001:db8:0:c:b9c0::/76 | 2001:db8:0:c:b9cf:ffff:ffff:ffff |
| 158 | 2001:db8:0:c:b9d0::/76 | 2001:db8:0:c:b9df:ffff:ffff:ffff |
| 159 | 2001:db8:0:c:b9e0::/76 | 2001:db8:0:c:b9ef:ffff:ffff:ffff |
| 160 | 2001:db8:0:c:b9f0::/76 | 2001:db8:0:c:b9ff:ffff:ffff:ffff |
| 161 | 2001:db8:0:c:ba00::/76 | 2001:db8:0:c:ba0f:ffff:ffff:ffff |
| 162 | 2001:db8:0:c:ba10::/76 | 2001:db8:0:c:ba1f:ffff:ffff:ffff |
| 163 | 2001:db8:0:c:ba20::/76 | 2001:db8:0:c:ba2f:ffff:ffff:ffff |
| 164 | 2001:db8:0:c:ba30::/76 | 2001:db8:0:c:ba3f:ffff:ffff:ffff |
| 165 | 2001:db8:0:c:ba40::/76 | 2001:db8:0:c:ba4f:ffff:ffff:ffff |
| 166 | 2001:db8:0:c:ba50::/76 | 2001:db8:0:c:ba5f:ffff:ffff:ffff |
| 167 | 2001:db8:0:c:ba60::/76 | 2001:db8:0:c:ba6f:ffff:ffff:ffff |
| 168 | 2001:db8:0:c:ba70::/76 | 2001:db8:0:c:ba7f:ffff:ffff:ffff |
| 169 | 2001:db8:0:c:ba80::/76 | 2001:db8:0:c:ba8f:ffff:ffff:ffff |
| 170 | 2001:db8:0:c:ba90::/76 | 2001:db8:0:c:ba9f:ffff:ffff:ffff |
| 171 | 2001:db8:0:c:baa0::/76 | 2001:db8:0:c:baaf:ffff:ffff:ffff |
| 172 | 2001:db8:0:c:bab0::/76 | 2001:db8:0:c:babf:ffff:ffff:ffff |
| 173 | 2001:db8:0:c:bac0::/76 | 2001:db8:0:c:bacf:ffff:ffff:ffff |
| 174 | 2001:db8:0:c:bad0::/76 | 2001:db8:0:c:badf:ffff:ffff:ffff |
| 175 | 2001:db8:0:c:bae0::/76 | 2001:db8:0:c:baef:ffff:ffff:ffff |
| 176 | 2001:db8:0:c:baf0::/76 | 2001:db8:0:c:baff:ffff:ffff:ffff |
| 177 | 2001:db8:0:c:bb00::/76 | 2001:db8:0:c:bb0f:ffff:ffff:ffff |
| 178 | 2001:db8:0:c:bb10::/76 | 2001:db8:0:c:bb1f:ffff:ffff:ffff |
| 179 | 2001:db8:0:c:bb20::/76 | 2001:db8:0:c:bb2f:ffff:ffff:ffff |
| 180 | 2001:db8:0:c:bb30::/76 | 2001:db8:0:c:bb3f:ffff:ffff:ffff |
| 181 | 2001:db8:0:c:bb40::/76 | 2001:db8:0:c:bb4f:ffff:ffff:ffff |
| 182 | 2001:db8:0:c:bb50::/76 | 2001:db8:0:c:bb5f:ffff:ffff:ffff |
| 183 | 2001:db8:0:c:bb60::/76 | 2001:db8:0:c:bb6f:ffff:ffff:ffff |
| 184 | 2001:db8:0:c:bb70::/76 | 2001:db8:0:c:bb7f:ffff:ffff:ffff |
| 185 | 2001:db8:0:c:bb80::/76 | 2001:db8:0:c:bb8f:ffff:ffff:ffff |
| 186 | 2001:db8:0:c:bb90::/76 | 2001:db8:0:c:bb9f:ffff:ffff:ffff |
| 187 | 2001:db8:0:c:bba0::/76 | 2001:db8:0:c:bbaf:ffff:ffff:ffff |
| 188 | 2001:db8:0:c:bbb0::/76 | 2001:db8:0:c:bbbf:ffff:ffff:ffff |
| 189 | 2001:db8:0:c:bbc0::/76 | 2001:db8:0:c:bbcf:ffff:ffff:ffff |
| 190 | 2001:db8:0:c:bbd0::/76 | 2001:db8:0:c:bbdf:ffff:ffff:ffff |
| 191 | 2001:db8:0:c:bbe0::/76 | 2001:db8:0:c:bbef:ffff:ffff:ffff |
| 192 | 2001:db8:0:c:bbf0::/76 | 2001:db8:0:c:bbff:ffff:ffff:ffff |
| 193 | 2001:db8:0:c:bc00::/76 | 2001:db8:0:c:bc0f:ffff:ffff:ffff |
| 194 | 2001:db8:0:c:bc10::/76 | 2001:db8:0:c:bc1f:ffff:ffff:ffff |
| 195 | 2001:db8:0:c:bc20::/76 | 2001:db8:0:c:bc2f:ffff:ffff:ffff |
| 196 | 2001:db8:0:c:bc30::/76 | 2001:db8:0:c:bc3f:ffff:ffff:ffff |
| 197 | 2001:db8:0:c:bc40::/76 | 2001:db8:0:c:bc4f:ffff:ffff:ffff |
| 198 | 2001:db8:0:c:bc50::/76 | 2001:db8:0:c:bc5f:ffff:ffff:ffff |
| 199 | 2001:db8:0:c:bc60::/76 | 2001:db8:0:c:bc6f:ffff:ffff:ffff |
| 200 | 2001:db8:0:c:bc70::/76 | 2001:db8:0:c:bc7f:ffff:ffff:ffff |
| 201 | 2001:db8:0:c:bc80::/76 | 2001:db8:0:c:bc8f:ffff:ffff:ffff |
| 202 | 2001:db8:0:c:bc90::/76 | 2001:db8:0:c:bc9f:ffff:ffff:ffff |
| 203 | 2001:db8:0:c:bca0::/76 | 2001:db8:0:c:bcaf:ffff:ffff:ffff |
| 204 | 2001:db8:0:c:bcb0::/76 | 2001:db8:0:c:bcbf:ffff:ffff:ffff |
| 205 | 2001:db8:0:c:bcc0::/76 | 2001:db8:0:c:bccf:ffff:ffff:ffff |
| 206 | 2001:db8:0:c:bcd0::/76 | 2001:db8:0:c:bcdf:ffff:ffff:ffff |
| 207 | 2001:db8:0:c:bce0::/76 | 2001:db8:0:c:bcef:ffff:ffff:ffff |
| 208 | 2001:db8:0:c:bcf0::/76 | 2001:db8:0:c:bcff:ffff:ffff:ffff |
| 209 | 2001:db8:0:c:bd00::/76 | 2001:db8:0:c:bd0f:ffff:ffff:ffff |
| 210 | 2001:db8:0:c:bd10::/76 | 2001:db8:0:c:bd1f:ffff:ffff:ffff |
| 211 | 2001:db8:0:c:bd20::/76 | 2001:db8:0:c:bd2f:ffff:ffff:ffff |
| 212 | 2001:db8:0:c:bd30::/76 | 2001:db8:0:c:bd3f:ffff:ffff:ffff |
| 213 | 2001:db8:0:c:bd40::/76 | 2001:db8:0:c:bd4f:ffff:ffff:ffff |
| 214 | 2001:db8:0:c:bd50::/76 | 2001:db8:0:c:bd5f:ffff:ffff:ffff |
| 215 | 2001:db8:0:c:bd60::/76 | 2001:db8:0:c:bd6f:ffff:ffff:ffff |
| 216 | 2001:db8:0:c:bd70::/76 | 2001:db8:0:c:bd7f:ffff:ffff:ffff |
| 217 | 2001:db8:0:c:bd80::/76 | 2001:db8:0:c:bd8f:ffff:ffff:ffff |
| 218 | 2001:db8:0:c:bd90::/76 | 2001:db8:0:c:bd9f:ffff:ffff:ffff |
| 219 | 2001:db8:0:c:bda0::/76 | 2001:db8:0:c:bdaf:ffff:ffff:ffff |
| 220 | 2001:db8:0:c:bdb0::/76 | 2001:db8:0:c:bdbf:ffff:ffff:ffff |
| 221 | 2001:db8:0:c:bdc0::/76 | 2001:db8:0:c:bdcf:ffff:ffff:ffff |
| 222 | 2001:db8:0:c:bdd0::/76 | 2001:db8:0:c:bddf:ffff:ffff:ffff |
| 223 | 2001:db8:0:c:bde0::/76 | 2001:db8:0:c:bdef:ffff:ffff:ffff |
| 224 | 2001:db8:0:c:bdf0::/76 | 2001:db8:0:c:bdff:ffff:ffff:ffff |
| 225 | 2001:db8:0:c:be00::/76 | 2001:db8:0:c:be0f:ffff:ffff:ffff |
| 226 | 2001:db8:0:c:be10::/76 | 2001:db8:0:c:be1f:ffff:ffff:ffff |
| 227 | 2001:db8:0:c:be20::/76 | 2001:db8:0:c:be2f:ffff:ffff:ffff |
| 228 | 2001:db8:0:c:be30::/76 | 2001:db8:0:c:be3f:ffff:ffff:ffff |
| 229 | 2001:db8:0:c:be40::/76 | 2001:db8:0:c:be4f:ffff:ffff:ffff |
| 230 | 2001:db8:0:c:be50::/76 | 2001:db8:0:c:be5f:ffff:ffff:ffff |
| 231 | 2001:db8:0:c:be60::/76 | 2001:db8:0:c:be6f:ffff:ffff:ffff |
| 232 | 2001:db8:0:c:be70::/76 | 2001:db8:0:c:be7f:ffff:ffff:ffff |
| 233 | 2001:db8:0:c:be80::/76 | 2001:db8:0:c:be8f:ffff:ffff:ffff |
| 234 | 2001:db8:0:c:be90::/76 | 2001:db8:0:c:be9f:ffff:ffff:ffff |
| 235 | 2001:db8:0:c:bea0::/76 | 2001:db8:0:c:beaf:ffff:ffff:ffff |
| 236 | 2001:db8:0:c:beb0::/76 | 2001:db8:0:c:bebf:ffff:ffff:ffff |
| 237 | 2001:db8:0:c:bec0::/76 | 2001:db8:0:c:becf:ffff:ffff:ffff |
| 238 | 2001:db8:0:c:bed0::/76 | 2001:db8:0:c:bedf:ffff:ffff:ffff |
| 239 | 2001:db8:0:c:bee0::/76 | 2001:db8:0:c:beef:ffff:ffff:ffff |
| 240 | 2001:db8:0:c:bef0::/76 | 2001:db8:0:c:beff:ffff:ffff:ffff |
| 241 | 2001:db8:0:c:bf00::/76 | 2001:db8:0:c:bf0f:ffff:ffff:ffff |
| 242 | 2001:db8:0:c:bf10::/76 | 2001:db8:0:c:bf1f:ffff:ffff:ffff |
| 243 | 2001:db8:0:c:bf20::/76 | 2001:db8:0:c:bf2f:ffff:ffff:ffff |
| 244 | 2001:db8:0:c:bf30::/76 | 2001:db8:0:c:bf3f:ffff:ffff:ffff |
| 245 | 2001:db8:0:c:bf40::/76 | 2001:db8:0:c:bf4f:ffff:ffff:ffff |
| 246 | 2001:db8:0:c:bf50::/76 | 2001:db8:0:c:bf5f:ffff:ffff:ffff |
| 247 | 2001:db8:0:c:bf60::/76 | 2001:db8:0:c:bf6f:ffff:ffff:ffff |
| 248 | 2001:db8:0:c:bf70::/76 | 2001:db8:0:c:bf7f:ffff:ffff:ffff |
| 249 | 2001:db8:0:c:bf80::/76 | 2001:db8:0:c:bf8f:ffff:ffff:ffff |
| 250 | 2001:db8:0:c:bf90::/76 | 2001:db8:0:c:bf9f:ffff:ffff:ffff |
| 251 | 2001:db8:0:c:bfa0::/76 | 2001:db8:0:c:bfaf:ffff:ffff:ffff |
| 252 | 2001:db8:0:c:bfb0::/76 | 2001:db8:0:c:bfbf:ffff:ffff:ffff |
| 253 | 2001:db8:0:c:bfc0::/76 | 2001:db8:0:c:bfcf:ffff:ffff:ffff |
| 254 | 2001:db8:0:c:bfd0::/76 | 2001:db8:0:c:bfdf:ffff:ffff:ffff |
| 255 | 2001:db8:0:c:bfe0::/76 | 2001:db8:0:c:bfef:ffff:ffff:ffff |
| 256 | 2001:db8:0:c:bff0::/76 | 2001:db8:0:c:bfff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |